Bug 512455 - JDK documentation doesn't load correctly in the browser
JDK documentation doesn't load correctly in the browser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-17 15:00 EDT by Ben Konrath
Modified: 2010-06-28 09:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2009-07-17 15:00:08 EDT
Description of problem:

JDK documentation doesn't load correctly in Firefox.

Version-Release number of selected component (if applicable):

eclipse-jdt-3.4.2-11.fc11.i586

How reproducible:

Always

Steps to Reproduce:

1) Make a new Java project.
2) Add a new class to the newly created project ensuring that the main method is created.
3) Add this code snippet to the main method:

String hw = "Hello World!";
String[] words = hw.split(" ");

4) Hover mouse above the split method until the method documentation appears.
5) Move mouse into documentation window and click on the 'regular expression' link. 
  
Actual results:

The last action opens Firefox to a page which is not present on the system:

file:///util/regex/Pattern.html#sum

Expected results:

The documentation from the file system should be loaded correctly.
Comment 1 Andrew Overholt 2009-10-27 16:09:06 EDT
Ben, does this still happen with 3.5.1?  I suspect so, but just want to confirm.
Comment 2 Ben Konrath 2009-10-28 11:43:09 EDT
With 3.5.1 the documentation loads correctly from java.sun.com. This bug can be closed if this is the correct operation - I'm not sure if you want to support loading from the file system or the web.
Comment 3 Andrew Overholt 2009-10-28 14:24:08 EDT
It would be nice if it loaded from the file system.  Alex, is this something we should add to eclipse-build?
Comment 4 Alexander Kurtakov 2009-10-28 17:42:12 EDT
Ben, can you tell me where exactly is the link that point to java.sun.com? I'm seeing the wrong links but not the requests to java.sun.com.
Comment 5 Ben Konrath 2009-10-28 23:39:13 EDT
When I click on the 'regular expression' link that comes up when I hover over 'split' in 'hw.split(" ");' (see comment #1) I'm taken to:

http://java.sun.com/javase/6/docs/api/java/util/regex/Pattern.html#sum
Comment 6 Bug Zapper 2010-04-27 11:45:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:41:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.